package com.bonus.canteen.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("health_cust_medical_report_project")
@ApiModel("人员体检报告项目表")
public class HealthCustMedicalReportProject implements Serializable {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("体检id")
   private Long medicalId;
   @ApiModelProperty("体检项目id")
   private Long medicalProjectId;
   @ApiModelProperty("体检项目名称")
   private String medicalProjectName;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   private String updateBy;
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;

   public Long getId() {
      return this.id;
   }

   public Long getMedicalId() {
      return this.medicalId;
   }

   public Long getMedicalProjectId() {
      return this.medicalProjectId;
   }

   public String getMedicalProjectName() {
      return this.medicalProjectName;
   }

   public String getCreateBy() {
      return this.createBy;
   }

   public LocalDateTime getCreateTime() {
      return this.createTime;
   }

   public String getUpdateBy() {
      return this.updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return this.updateTime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMedicalId(final Long medicalId) {
      this.medicalId = medicalId;
   }

   public void setMedicalProjectId(final Long medicalProjectId) {
      this.medicalProjectId = medicalProjectId;
   }

   public void setMedicalProjectName(final String medicalProjectName) {
      this.medicalProjectName = medicalProjectName;
   }

   public void setCreateBy(final String createBy) {
      this.createBy = createBy;
   }

   public void setCreateTime(final LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public void setUpdateBy(final String updateBy) {
      this.updateBy = updateBy;
   }

   public void setUpdateTime(final LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }

}
